/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.lsp.liferay.portlet.socialliving.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.GroupedModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the ChannelEntry service. Represents a row in the &quot;LSPSL_ChannelEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link org.lsp.liferay.portlet.socialliving.model.impl.ChannelEntryModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link org.lsp.liferay.portlet.socialliving.model.impl.ChannelEntryImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see ChannelEntry
 * @see org.lsp.liferay.portlet.socialliving.model.impl.ChannelEntryImpl
 * @see org.lsp.liferay.portlet.socialliving.model.impl.ChannelEntryModelImpl
 * @generated
 */
public interface ChannelEntryModel extends BaseModel<ChannelEntry>, GroupedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a channel entry model instance should use the {@link ChannelEntry} interface instead.
	 */

	/**
	 * Returns the primary key of this channel entry.
	 *
	 * @return the primary key of this channel entry
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this channel entry.
	 *
	 * @param primaryKey the primary key of this channel entry
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the channel entry ID of this channel entry.
	 *
	 * @return the channel entry ID of this channel entry
	 */
	public long getChannelEntryId();

	/**
	 * Sets the channel entry ID of this channel entry.
	 *
	 * @param channelEntryId the channel entry ID of this channel entry
	 */
	public void setChannelEntryId(long channelEntryId);

	/**
	 * Returns the group ID of this channel entry.
	 *
	 * @return the group ID of this channel entry
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this channel entry.
	 *
	 * @param groupId the group ID of this channel entry
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the company ID of this channel entry.
	 *
	 * @return the company ID of this channel entry
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this channel entry.
	 *
	 * @param companyId the company ID of this channel entry
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the user ID of this channel entry.
	 *
	 * @return the user ID of this channel entry
	 */
	public long getUserId();

	/**
	 * Sets the user ID of this channel entry.
	 *
	 * @param userId the user ID of this channel entry
	 */
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this channel entry.
	 *
	 * @return the user uuid of this channel entry
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this channel entry.
	 *
	 * @param userUuid the user uuid of this channel entry
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this channel entry.
	 *
	 * @return the user name of this channel entry
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this channel entry.
	 *
	 * @param userName the user name of this channel entry
	 */
	public void setUserName(String userName);

	/**
	 * Returns the create date of this channel entry.
	 *
	 * @return the create date of this channel entry
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this channel entry.
	 *
	 * @param createDate the create date of this channel entry
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this channel entry.
	 *
	 * @return the modified date of this channel entry
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this channel entry.
	 *
	 * @param modifiedDate the modified date of this channel entry
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the comments of this channel entry.
	 *
	 * @return the comments of this channel entry
	 */
	@AutoEscape
	public String getComments();

	/**
	 * Sets the comments of this channel entry.
	 *
	 * @param comments the comments of this channel entry
	 */
	public void setComments(String comments);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(ChannelEntry channelEntry);

	public int hashCode();

	public CacheModel<ChannelEntry> toCacheModel();

	public ChannelEntry toEscapedModel();

	public String toString();

	public String toXmlString();
}