/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.lsp.liferay.portlet.socialliving.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.GroupedModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the EventEntry service. Represents a row in the &quot;LSPSL_EventEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link org.lsp.liferay.portlet.socialliving.model.impl.EventEntryModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link org.lsp.liferay.portlet.socialliving.model.impl.EventEntryImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see EventEntry
 * @see org.lsp.liferay.portlet.socialliving.model.impl.EventEntryImpl
 * @see org.lsp.liferay.portlet.socialliving.model.impl.EventEntryModelImpl
 * @generated
 */
public interface EventEntryModel extends BaseModel<EventEntry>, GroupedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a event entry model instance should use the {@link EventEntry} interface instead.
	 */

	/**
	 * Returns the primary key of this event entry.
	 *
	 * @return the primary key of this event entry
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this event entry.
	 *
	 * @param primaryKey the primary key of this event entry
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the event entry ID of this event entry.
	 *
	 * @return the event entry ID of this event entry
	 */
	public long getEventEntryId();

	/**
	 * Sets the event entry ID of this event entry.
	 *
	 * @param eventEntryId the event entry ID of this event entry
	 */
	public void setEventEntryId(long eventEntryId);

	/**
	 * Returns the company ID of this event entry.
	 *
	 * @return the company ID of this event entry
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this event entry.
	 *
	 * @param companyId the company ID of this event entry
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the group ID of this event entry.
	 *
	 * @return the group ID of this event entry
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this event entry.
	 *
	 * @param groupId the group ID of this event entry
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the user ID of this event entry.
	 *
	 * @return the user ID of this event entry
	 */
	public long getUserId();

	/**
	 * Sets the user ID of this event entry.
	 *
	 * @param userId the user ID of this event entry
	 */
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this event entry.
	 *
	 * @return the user uuid of this event entry
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this event entry.
	 *
	 * @param userUuid the user uuid of this event entry
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this event entry.
	 *
	 * @return the user name of this event entry
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this event entry.
	 *
	 * @param userName the user name of this event entry
	 */
	public void setUserName(String userName);

	/**
	 * Returns the create date of this event entry.
	 *
	 * @return the create date of this event entry
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this event entry.
	 *
	 * @param createDate the create date of this event entry
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this event entry.
	 *
	 * @return the modified date of this event entry
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this event entry.
	 *
	 * @param modifiedDate the modified date of this event entry
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the title of this event entry.
	 *
	 * @return the title of this event entry
	 */
	@AutoEscape
	public String getTitle();

	/**
	 * Sets the title of this event entry.
	 *
	 * @param title the title of this event entry
	 */
	public void setTitle(String title);

	/**
	 * Returns the description of this event entry.
	 *
	 * @return the description of this event entry
	 */
	@AutoEscape
	public String getDescription();

	/**
	 * Sets the description of this event entry.
	 *
	 * @param description the description of this event entry
	 */
	public void setDescription(String description);

	/**
	 * Returns the start date of this event entry.
	 *
	 * @return the start date of this event entry
	 */
	public Date getStartDate();

	/**
	 * Sets the start date of this event entry.
	 *
	 * @param startDate the start date of this event entry
	 */
	public void setStartDate(Date startDate);

	/**
	 * Returns the end date of this event entry.
	 *
	 * @return the end date of this event entry
	 */
	public Date getEndDate();

	/**
	 * Sets the end date of this event entry.
	 *
	 * @param endDate the end date of this event entry
	 */
	public void setEndDate(Date endDate);

	/**
	 * Returns the total attendees of this event entry.
	 *
	 * @return the total attendees of this event entry
	 */
	public int getTotalAttendees();

	/**
	 * Sets the total attendees of this event entry.
	 *
	 * @param totalAttendees the total attendees of this event entry
	 */
	public void setTotalAttendees(int totalAttendees);

	/**
	 * Returns the max attendees of this event entry.
	 *
	 * @return the max attendees of this event entry
	 */
	public int getMaxAttendees();

	/**
	 * Sets the max attendees of this event entry.
	 *
	 * @param maxAttendees the max attendees of this event entry
	 */
	public void setMaxAttendees(int maxAttendees);

	/**
	 * Returns the price of this event entry.
	 *
	 * @return the price of this event entry
	 */
	public double getPrice();

	/**
	 * Sets the price of this event entry.
	 *
	 * @param price the price of this event entry
	 */
	public void setPrice(double price);

	/**
	 * Returns the thumbnail ID of this event entry.
	 *
	 * @return the thumbnail ID of this event entry
	 */
	public long getThumbnailId();

	/**
	 * Sets the thumbnail ID of this event entry.
	 *
	 * @param thumbnailId the thumbnail ID of this event entry
	 */
	public void setThumbnailId(long thumbnailId);

	/**
	 * Returns the latitude of this event entry.
	 *
	 * @return the latitude of this event entry
	 */
	@AutoEscape
	public String getLatitude();

	/**
	 * Sets the latitude of this event entry.
	 *
	 * @param latitude the latitude of this event entry
	 */
	public void setLatitude(String latitude);

	/**
	 * Returns the longitude of this event entry.
	 *
	 * @return the longitude of this event entry
	 */
	@AutoEscape
	public String getLongitude();

	/**
	 * Sets the longitude of this event entry.
	 *
	 * @param longitude the longitude of this event entry
	 */
	public void setLongitude(String longitude);

	/**
	 * Returns the location of this event entry.
	 *
	 * @return the location of this event entry
	 */
	@AutoEscape
	public String getLocation();

	/**
	 * Sets the location of this event entry.
	 *
	 * @param location the location of this event entry
	 */
	public void setLocation(String location);

	/**
	 * Returns the with spouse of this event entry.
	 *
	 * @return the with spouse of this event entry
	 */
	public boolean getWithSpouse();

	/**
	 * Returns <code>true</code> if this event entry is with spouse.
	 *
	 * @return <code>true</code> if this event entry is with spouse; <code>false</code> otherwise
	 */
	public boolean isWithSpouse();

	/**
	 * Sets whether this event entry is with spouse.
	 *
	 * @param withSpouse the with spouse of this event entry
	 */
	public void setWithSpouse(boolean withSpouse);

	/**
	 * Returns the with children of this event entry.
	 *
	 * @return the with children of this event entry
	 */
	public boolean getWithChildren();

	/**
	 * Returns <code>true</code> if this event entry is with children.
	 *
	 * @return <code>true</code> if this event entry is with children; <code>false</code> otherwise
	 */
	public boolean isWithChildren();

	/**
	 * Sets whether this event entry is with children.
	 *
	 * @param withChildren the with children of this event entry
	 */
	public void setWithChildren(boolean withChildren);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(EventEntry eventEntry);

	public int hashCode();

	public CacheModel<EventEntry> toCacheModel();

	public EventEntry toEscapedModel();

	public String toString();

	public String toXmlString();
}