/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package org.lsp.liferay.portlet.socialliving.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author    Brian Wing Shun Chan
 * @generated
 */
public class EventRegistrationSoap implements Serializable {
	public static EventRegistrationSoap toSoapModel(EventRegistration model) {
		EventRegistrationSoap soapModel = new EventRegistrationSoap();

		soapModel.setEventRegistrationId(model.getEventRegistrationId());
		soapModel.setCompanyId(model.getCompanyId());
		soapModel.setGroupId(model.getGroupId());
		soapModel.setUserId(model.getUserId());
		soapModel.setUserName(model.getUserName());
		soapModel.setCreateDate(model.getCreateDate());
		soapModel.setModifiedDate(model.getModifiedDate());
		soapModel.setEventEntryId(model.getEventEntryId());
		soapModel.setStatus(model.getStatus());
		soapModel.setComments(model.getComments());

		return soapModel;
	}

	public static EventRegistrationSoap[] toSoapModels(
		EventRegistration[] models) {
		EventRegistrationSoap[] soapModels = new EventRegistrationSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static EventRegistrationSoap[][] toSoapModels(
		EventRegistration[][] models) {
		EventRegistrationSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new EventRegistrationSoap[models.length][models[0].length];
		}
		else {
			soapModels = new EventRegistrationSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static EventRegistrationSoap[] toSoapModels(
		List<EventRegistration> models) {
		List<EventRegistrationSoap> soapModels = new ArrayList<EventRegistrationSoap>(models.size());

		for (EventRegistration model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new EventRegistrationSoap[soapModels.size()]);
	}

	public EventRegistrationSoap() {
	}

	public long getPrimaryKey() {
		return _eventRegistrationId;
	}

	public void setPrimaryKey(long pk) {
		setEventRegistrationId(pk);
	}

	public long getEventRegistrationId() {
		return _eventRegistrationId;
	}

	public void setEventRegistrationId(long eventRegistrationId) {
		_eventRegistrationId = eventRegistrationId;
	}

	public long getCompanyId() {
		return _companyId;
	}

	public void setCompanyId(long companyId) {
		_companyId = companyId;
	}

	public long getGroupId() {
		return _groupId;
	}

	public void setGroupId(long groupId) {
		_groupId = groupId;
	}

	public long getUserId() {
		return _userId;
	}

	public void setUserId(long userId) {
		_userId = userId;
	}

	public String getUserName() {
		return _userName;
	}

	public void setUserName(String userName) {
		_userName = userName;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public long getEventEntryId() {
		return _eventEntryId;
	}

	public void setEventEntryId(long eventEntryId) {
		_eventEntryId = eventEntryId;
	}

	public int getStatus() {
		return _status;
	}

	public void setStatus(int status) {
		_status = status;
	}

	public String getComments() {
		return _comments;
	}

	public void setComments(String comments) {
		_comments = comments;
	}

	private long _eventRegistrationId;
	private long _companyId;
	private long _groupId;
	private long _userId;
	private String _userName;
	private Date _createDate;
	private Date _modifiedDate;
	private long _eventEntryId;
	private int _status;
	private String _comments;
}